Re: PyTROLL/SatPy Starter Kit V3.0 for GNU/Linux


Christian Peters
 

Rob,

form one of the developers
"...I don't see why it wouldn't work on 32 bit architecture, as long as the dependencies are available..."

So it should work, maybe not with conda? You could try to do the install with pip3...?
But as Ernst said....32bit is fading away and many distribution dropped it already....

Regards,

Christian

Am 22.01.21 um 10:53 schrieb R. Alblas:

Ernst,
Since this seems to be special for AMD 64-bits, what about Intel 32-bits?
Trying it with Ubuntu, 32-bits Intel machine ( to see if that would work), with:
conda install satpy

I get:
PackagesNotFoundError: The following packages are not available from current channels:

  - satpy
...
Current channels:

  - https://conda.anaconda.org/conda-forge/linux-32
...

Maybe I missed it, but as far as I can see there is nothing about "Pytroll/satpy only runs on 64-bits machines".

Regards,
Rob.

On 17-01-2021 17:04, Ernst Lobsiger via groups.io wrote:
Dear All,

here comes the Kit for GNU/Linux amd64 as promised. It's as easy to install and use as the one for Windows. It has been
developed under Debian 10 (Buster) but you should have no problems to get it running on any amd64 GNU/Linux distro.



It's based on Miniconda3 as the Windows companion. Christian Peters took "virtualenv" (as described in my GNU/Linux HOWTO 2.0)
to install the PyTROLL/SatPy environment and made a first Meteosat image on a RASPI (8GB RAM needed) with one of my scripts :-).

Have fun
Ernst


Join MSG-1@groups.io to automatically receive all group messages.